Can't emerge homeassistant-min due to missing dev-python/aiohttp version. #1776

Closed
opened 2023-08-23 12:18:53 +02:00 by RayOfLight · 3 comments

Dependencies need changing once again

sudo emerge -pv \=app-misc/homeassistant-min-2023.5.4

These are the packages that would be merged, in reverse order:

Calculating dependencies... done!
Dependency resolution took 26.92 s.


emerge: there are no ebuilds to satisfy "~dev-python/aiohttp-3.8.4[python_targets_python3_10(-)?,python_targets_python3_11(-)?]".
(dependency required by "app-misc/homeassistant-min-2023.5.4::HomeAssistantRepository" [ebuild])
(dependency required by "=app-misc/homeassistant-min-2023.5.4" [argument])
Dependencies need changing once again ``` sudo emerge -pv \=app-misc/homeassistant-min-2023.5.4 These are the packages that would be merged, in reverse order: Calculating dependencies... done! Dependency resolution took 26.92 s. emerge: there are no ebuilds to satisfy "~dev-python/aiohttp-3.8.4[python_targets_python3_10(-)?,python_targets_python3_11(-)?]". (dependency required by "app-misc/homeassistant-min-2023.5.4::HomeAssistantRepository" [ebuild]) (dependency required by "=app-misc/homeassistant-min-2023.5.4" [argument]) ```
Author

I've performed the following changes to the homeassistant-min ebuild and it merged:

@@ -48,7 +48,7 @@
# from package_constraints.txt
RDEPEND="${RDEPEND}
~dev-python/aiodiscover-1.4.16[${PYTHON_USEDEP}]
-       ~dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}]
+       ~dev-python/aiohttp-3.8.5[${PYTHON_USEDEP}]
~dev-python/aiohttp-cors-0.7.0[${PYTHON_USEDEP}]
~dev-python/anyio-3.6.2[${PYTHON_USEDEP}]
~dev-python/astral-2.2[${PYTHON_USEDEP}]
@@ -68,7 +68,7 @@
>=dev-python/btlewrap-0.0.10[${PYTHON_USEDEP}]
>=dev-python/certifi-2021.5.30[${PYTHON_USEDEP}]
~dev-python/ciso8601-2.3.0[${PYTHON_USEDEP}]
-       ~dev-python/cryptography-40.0.1[${PYTHON_USEDEP}]
+       ~dev-python/cryptography-41.0.3[${PYTHON_USEDEP}]
~dev-python/dbus-fast-1.84.2[${PYTHON_USEDEP}]
>=dev-python/faust-cchardet-2.1.18[${PYTHON_USEDEP}]
~dev-python/fnvhash-0.1.0[${PYTHON_USEDEP}]
@@ -84,7 +84,7 @@
~dev-python/home-assistant-intents-2023.3.29[${PYTHON_USEDEP}]
~dev-python/httpcore-0.16.3[${PYTHON_USEDEP}]
>=dev-python/httplib2-0.19.0[${PYTHON_USEDEP}]
-       ~dev-python/httpx-0.23.3[${PYTHON_USEDEP}]
+       ~dev-python/httpx-0.24.1[${PYTHON_USEDEP}]
>=dev-python/hyperframe-5.2.0[${PYTHON_USEDEP}]
~dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}]
~dev-python/janus-1.0.0[${PYTHON_USEDEP}]
@@ -103,8 +103,8 @@
>=dev-python/pycryptodome-3.6.6[${PYTHON_USEDEP}]
~dev-python/pyjwt-2.6.0[${PYTHON_USEDEP}]
~dev-python/pynacl-1.5.0[${PYTHON_USEDEP}]
-       ~dev-python/pyopenssl-23.1.0[${PYTHON_USEDEP}]
-       ~dev-python/pyopenssl-23.1.0[${PYTHON_USEDEP}]
+       ~dev-python/pyopenssl-23.2.0[${PYTHON_USEDEP}]
+       ~dev-python/pyopenssl-23.2.0[${PYTHON_USEDEP}]
~dev-python/pyserial-3.5[${PYTHON_USEDEP}]
>=dev-python/python-engineio-3.13.1[${PYTHON_USEDEP}]
<dev-python/python-engineio-4[${PYTHON_USEDEP}]

I don't know why pyopenssl appears twice.

I had to manually merge dev-python/webrtcvad as some basic functionality required it but the ebuild did not merge it.

I hope it helps somebody.

I've performed the following changes to the homeassistant-min ebuild and it merged: ``` @@ -48,7 +48,7 @@ # from package_constraints.txt RDEPEND="${RDEPEND} ~dev-python/aiodiscover-1.4.16[${PYTHON_USEDEP}] - ~dev-python/aiohttp-3.8.4[${PYTHON_USEDEP}] + ~dev-python/aiohttp-3.8.5[${PYTHON_USEDEP}] ~dev-python/aiohttp-cors-0.7.0[${PYTHON_USEDEP}] ~dev-python/anyio-3.6.2[${PYTHON_USEDEP}] ~dev-python/astral-2.2[${PYTHON_USEDEP}] @@ -68,7 +68,7 @@ >=dev-python/btlewrap-0.0.10[${PYTHON_USEDEP}] >=dev-python/certifi-2021.5.30[${PYTHON_USEDEP}] ~dev-python/ciso8601-2.3.0[${PYTHON_USEDEP}] - ~dev-python/cryptography-40.0.1[${PYTHON_USEDEP}] + ~dev-python/cryptography-41.0.3[${PYTHON_USEDEP}] ~dev-python/dbus-fast-1.84.2[${PYTHON_USEDEP}] >=dev-python/faust-cchardet-2.1.18[${PYTHON_USEDEP}] ~dev-python/fnvhash-0.1.0[${PYTHON_USEDEP}] @@ -84,7 +84,7 @@ ~dev-python/home-assistant-intents-2023.3.29[${PYTHON_USEDEP}] ~dev-python/httpcore-0.16.3[${PYTHON_USEDEP}] >=dev-python/httplib2-0.19.0[${PYTHON_USEDEP}] - ~dev-python/httpx-0.23.3[${PYTHON_USEDEP}] + ~dev-python/httpx-0.24.1[${PYTHON_USEDEP}] >=dev-python/hyperframe-5.2.0[${PYTHON_USEDEP}] ~dev-python/ifaddr-0.1.7[${PYTHON_USEDEP}] ~dev-python/janus-1.0.0[${PYTHON_USEDEP}] @@ -103,8 +103,8 @@ >=dev-python/pycryptodome-3.6.6[${PYTHON_USEDEP}] ~dev-python/pyjwt-2.6.0[${PYTHON_USEDEP}] ~dev-python/pynacl-1.5.0[${PYTHON_USEDEP}] - ~dev-python/pyopenssl-23.1.0[${PYTHON_USEDEP}] - ~dev-python/pyopenssl-23.1.0[${PYTHON_USEDEP}] + ~dev-python/pyopenssl-23.2.0[${PYTHON_USEDEP}] + ~dev-python/pyopenssl-23.2.0[${PYTHON_USEDEP}] ~dev-python/pyserial-3.5[${PYTHON_USEDEP}] >=dev-python/python-engineio-3.13.1[${PYTHON_USEDEP}] <dev-python/python-engineio-4[${PYTHON_USEDEP}] ``` I don't know why pyopenssl appears twice. I had to manually merge dev-python/webrtcvad as some basic functionality required it but the ebuild did not merge it. I hope it helps somebody.

Updating Gentoo is one thing. I also updated to dev-python/aiohttp-3.8.5 plus dependencies and changed the HA ebuild file. But HA 2023.04.06 needs version 3.8.4 for some operations. On my installation I see this because HA downloads aiohttp-3.8.4 into deps/lib/python3.10/site-packages. Problem is we need a newer version of HA. I made a request to onkelbeh today about lacking information of the status of this project (Issue #1777).

Updating Gentoo is one thing. I also updated to dev-python/aiohttp-3.8.5 plus dependencies and changed the HA ebuild file. But HA 2023.04.06 needs version 3.8.4 for some operations. On my installation I see this because HA downloads aiohttp-3.8.4 into deps/lib/python3.10/site-packages. Problem is we need a newer version of HA. I made a request to onkelbeh today about lacking information of the status of this project (Issue #1777).
Owner

re-added it from main archive, will not hurt:

[2023.10 4d5308d0d] dev-python/aiohttp: new package, add 3.8.4
Author: Andreas Billmeier (@Home/mbp) b@edevau.net
3 files changed, 123 insertions(+)
create mode 100644 dev-python/aiohttp/Manifest
create mode 100644 dev-python/aiohttp/aiohttp-3.8.4.ebuild
create mode 100644 dev-python/aiohttp/metadata.xml

re-added it from main archive, will not hurt: [2023.10 4d5308d0d] dev-python/aiohttp: new package, add 3.8.4 Author: Andreas Billmeier (@Home/mbp) <b@edevau.net> 3 files changed, 123 insertions(+) create mode 100644 dev-python/aiohttp/Manifest create mode 100644 dev-python/aiohttp/aiohttp-3.8.4.ebuild create mode 100644 dev-python/aiohttp/metadata.xml
Sign in to join this conversation.
No Label
Bug
Bump/Update
Cleanup
Dupe
Enhancement
File Collision
Forked
help wanted
Integration: accuweather
Integration: acmeda
Integration: adax
Integration: adguard
Integration: aemet
Integration: aep_ohio
Integration: aep_texas
Integration: airq
Integration: airthings
Integration: airthings_ble
Integration: airtouch5
Integration: airzone
Integration: airzone_cloud
Integration: amazon_polly
Integration: amberelectric
Integration: ambient_station
Integration: analytics_insights
Integration: anel_pwrctrl
Integration: aosmith
Integration: apache_kafka
Integration: apcupsd
Integration: appalachianpower
Integration: asuswrt
Integration: august
Integration: aws
Integration: bang_olufsen
Integration: blink
Integration: bluetooth
Integration: blue_current
Integration: bmw_connected_drive
Integration: bosch_shc
Integration: bring
Integration: brother
Integration: brottsplatskartan
Integration: bsblan
Integration: bthome
Integration: caldav
Integration: cast
Integration: ccm15
Integration: cloud
Integration: cloudflare
Integration: co2signal
Integration: coautilities
Integration: comelit
Integration: conversation
Integration: deconz
Integration: deluge
Integration: devialet
Integration: devolo_home_control
Integration: dhcp
Integration: dlna_dmr
Integration: dlna_dms
Integration: doods
Integration: drop_connect
Integration: dsmr
Integration: duotecno
Integration: dwd_weather_warnings
Integration: easyenergy
Integration: ecobee
Integration: ecoforest
Integration: ecovacs
Integration: ecowitt
Integration: elgato
Integration: elvia
Integration: energyzero
Integration: enigma2
Integration: enphase_envoy
Integration: epion
Integration: esphome
Integration: evohome
Integration: flexit_bacnet
Integration: flipr
Integration: fritzbox
Integration: frontend
Integration: fujitsu_anywair
Integration: garages_amsterdam
Integration: gardena_bluetooth
Integration: gdacs
Integration: generic
Integration: geonetnz_quakes
Integration: geonetnz_volcano
Integration: geo_json_events
Integration: geo_rss_events
Integration: gios
Integration: glances
Integration: goodwe
Integration: google
Integration: google_generative_ai_conversation
Integration: govee_ble
Integration: govee_light_local
Integration: hive
Integration: hko
Integration: holiday
Integration: homekit_controller
Integration: homematicip_cloud
Integration: homewizard
Integration: honeywell
Integration: html5
Integration: http
Integration: huum
Integration: hydrawise
Integration: iammeter
Integration: idasen_desk
Integration: image_upload
Integration: indianamichiganpower
Integration: insteon
Integration: islamic_prayer_times
Integration: justnimbus
Integration: jvc_projector
Integration: kef
Integration: kentuckypower
Integration: keymitt_ble
Integration: knx
Integration: kostal_plenticore
Integration: lamarzocco
Integration: ld2410_ble
Integration: leaone
Integration: led_ble
Integration: life360
Integration: lifx
Integration: linear_garage_door
Integration: litejet
Integration: local_calendar
Integration: local_todo
Integration: lupusec
Integration: lutron
Integration: lutron_caseta
Integration: matrix
Integration: matter
Integration: melcloud
Integration: meteoclimatic
Integration: meteo_france
Integration: metoffice
Integration: mill
Integration: minecraft_server
Integration: modbus
Integration: mopeka
Integration: motionmount
Integration: motion_blinds
Integration: myuplink
Integration: nam
Integration: netatmo
Integration: nexia
Integration: nextbus
Integration: nextcloud
Integration: nextdns
Integration: nibe_heatpump
Integration: nmap_tracker
Integration: nsw_rural_fire_service_feed
Integration: nws
Integration: openai_conversation
Integration: openerz
Integration: open_meteo
Integration: opower
Integration: orvibo
Integration: osoenergy
Integration: otbr
Integration: ourgroceries
Integration: overkiz
Integration: p1_monitor
Integration: pegel_online
Integration: permobil
Integration: plex
Integration: plugwise
Integration: powerwall
Integration: private_ble_device
Integration: proxy
Integration: prusalink
Integration: psoklahoma
Integration: pure_energie
Integration: pvoutput
Integration: qingping
Integration: qrcode
Integration: rabbitair
Integration: rachio
Integration: radio_browser
Integration: rainbird
Integration: rainforest_raven
Integration: rainmachine
Integration: rdw
Integration: recorder
Integration: refoss
Integration: renault
Integration: renson
Integration: reolink
Integration: ridwell
Integration: ring
Integration: risco
Integration: roborock
Integration: roku
Integration: romy
Integration: roomba
Integration: roon
Integration: route53
Integration: samsungtv
Integration: schlage
Integration: scl
Integration: screenlogic
Integration: sensibo
Integration: sensorpush
Integration: seven_segments
Integration: sfr_box
Integration: shelly
Integration: sighthound
Integration: simplisafe
Integration: sleepiq
Integration: smarttub
Integration: snmp
Integration: songpal
Integration: sonos
Integration: sql
Integration: squeezebox
Integration: ssdp
Integration: subaru
Integration: suez_water
Integration: sunweg
Integration: surepetcare
Integration: swepco
Integration: swiss_public_transport
Integration: switchbot
Integration: switchbot_cloud
Integration: switcher_kis
Integration: system_bridge
Integration: tado
Integration: tailwind
Integration: tankerkoenig
Integration: tasmota
Integration: technove
Integration: tedee
Integration: temper
Integration: tensorflow
Integration: teslemetry
Integration: tessie
Integration: thermobeacon
Integration: thermopro
Integration: thread
Integration: tolo
Integration: tplink
Integration: tplink_tapo
Integration: traccar
Integration: traccar_server
Integration: trafikverket_camera
Integration: trafikverket_ferry
Integration: trafikverket_train
Integration: trafikverket_weatherstation
Integration: transmission
Integration: tuya
Integration: twentemilieu
Integration: unifi
Integration: unifiprotect
Integration: unifi_direct
Integration: upnp
Integration: usgs_earthquakes_feed
Integration: v2c
Integration: vallox
Integration: valve
Integration: velbus
Integration: velux
Integration: vicare
Integration: vodafone_station
Integration: vulcan
Integration: waqi
Integration: weatherkit
Integration: wemo
Integration: withings
Integration: workday
Integration: wyoming
Integration: xiaomi_ble
Integration: yalexs_ble
Integration: yeelight
Integration: yolink
Integration: zamg
Integration: zeroconf
Integration: zha
Integration: zoneminder
Integration: zwave_js
invalid
New Integration
Python 3.10
Python 3.11
question
requirement
Requirement vanished
slot-conflict
Source Incomplete
SrcDir ${S} mismatch
TopLevelViolation
Update required
virtual
wontfix
No Milestone
No Assignees
3 Participants
Notifications
Due Date
The due date is invalid or out of range. Please use the format 'yyyy-mm-dd'.

No due date set.

Dependencies

No dependencies set.

Reference: onkelbeh/HomeAssistantRepository#1776
No description provided.